from django.core.exceptions import PermissionDenied

from .utils import ldap_is_in_directory, saml_collect_data #Circular dep 


def user_not_in_ldap(function):
    def wrapped(request, *args, **kwargs):
        user_data = saml_collect_data()
        if ldap_is_in_directory(user_data):
            raise PermissionDenied
        else:
            return function(request, *args, **kwargs)
    return wrapped
