Brouillon de notes
Recherche documentaire sur les différents concepts en jeu pour l'approvisionnement et la synchronisation des référentiels (dans le cadre de l'authentification et de la gestion des identités)

Stage P.Marillonnet


Compilation :

`markdown doc.md > doc.html

# TODOs
* Rédiger au propre les parties suffisamment documentées.
* Scripts création markdown temporaire avec encodage html correct ?? (accents et caractères spéciaux)
* Pour chaque projet libre, présenter un court historique de la naissance du projet (quels besoins ? quels instigateurs ? quelle licence ? quelle année ? quel(s) prédecesseur(s) ?)
* Etudier préface du 'lasso book': concepts intéressants à expliquer + pdf lasso

# Avant de commencer

## Acronymes
* ACI : *Access Control Index* [//]: <> (??)
* ACL : *Access Control List*
* ALFA : *Abbreviated Language For Authorization*
* AS : *Authentication Server*
* BDB : *Berkeley DB*
* BPM : *Business Process Management*
* CAS : *Central Authentication Service*
* CBV : *Class-Based View*
* CCTP : Cahier des Clauses Techniques Particulières
* FQDN : *Fully Qualified Domain Name*
* GI : Gestion des Identités
* GRC/GRU : Gestion de la Relation Citoyen/Gestion de la relation usager
* I18N : *Internationalization*
* IAM : *Identity and Access Management*
* IANA : *Internet Assigned Numbers Authority*
* IDP : *Identity provider*
* IDM : *Identity Manager*
* IETF : *Internet Engineering Task Force*
* JPA : *Java Persistence API*
* L10N : *Localization*
* LDAP : *Lightweight Directory Access Protocol*
* LDIF : *LDAP Data Interchange Format*
* MVCC : *Multi Version Concurrency Control*
* NDS : *Novell Directory Services* // Vraiment pertinent ici ? Mentionné dans la RFC3384
* NIO : *Non-blocking I/O* (API Java)
* OASIS : *Organization for the Advancement of Structured Information Standards*
* OID : *Object IDentifier*
* ORM : *Object-Relational Mapping*
* OSGi : *Open Services Gateway initiative*
* OSI : *Open Systems Interconnection*
* PAM : *Pluggable Authentification Modules*
* POC : *Proof Of Concept*
* POM : *Project Object Model*
* RDBMS : *Relational DataBase Management System*
* RFC : *Request For Comments*
* SAML : *Security Assertion Markup Language*
* SASL : Simple Authentication and Security Layer
* SSHA : *Salted SHA*
* SOAP : Simple Object Access Protocol
[//]: <> (Nécessaire de revoir l'architecture SOAP ? Est-ce vraiment encore utilisé ?)
* SP : *Service Provider*
* SSO/SLO : *Single Sign-on / Single Log-Out*
* SVE : Saisie par voie électronique
* SVA : Silence vaut acceptation
* TTLS : *Tunnelled Transport Layer Security*
* UID : *Universak IDentifier*
* XACML : *eXtensible Access Control Markup Language*

## Quelques définitions
**Référentiel d'identités** : Un référentiel d'identités désigne le mécanisme de stockage des différentes données relatives aux identités des utilisateurs d'une application.
**Gestionnaire d'identités** (Abbréviation *IM*) : Il s'agit de l'application responsable de la manipulation des données fournies par le référentiel d'identités.
**Fournisseur d'identités** (Abbréviation *IdP*) : Son rôle est de mettre à disposition des services les données relatives aux identités des utilisateurs, à des fins d'authentification ou d'identification/autorisation, tout en mettant en place des fonctionnalités de traçabilité (*accounting*). [//]: <> (CF AAA dans la doc sur les IdP : Authentication, Authorization, Accounting)
**Approvisionnement** (En: *Provisioning*) : C'est la procédure de constitution (initiale ou continue) des référentiels d'identités. La source peut-être un autre référentiel, on parle alors de réplication. Au contraire, les données d'approvisionnement peuvent provenir des services qui accèdent en écriture à l'IdM/IdP (ex: application RH qui crée le profil d'un nouvel employé, ou script sysadmin d'ajout d'un nouvel utilisateur UNIX).
**Synchronisation** : On parle de synchronisation de référentiels d'identités lorsque la modification de données présentes sur l'un des référentiels engendre des modifications similaires, ou de même nature, sur un ou plusieurs autres référentiels. On remarquera que cette synchronisation peut aller plus loin qu'une simple duplication à l'identique des données sur plusieurs référentiels.
En effet, la synchronisation peut avoir lieu, même en l'absence d'identicité des méthodes ou des schémas de référencement utilisés.
La synchronisation peut aussi donner lieu à la création d'un référentiel centralisé regroupant un sous-ensemble de données des différents référentiels synchronisés. On parle alors de méta-annuaire.


# Annuaires
Le premier concept étudié ici est le mécanisme d'annuaire, largement répandu dans les systèmes d'information.
On utilise le terme *directory* en anglais, et il faut comprendre cet outil comme un répertoire où les données sont structurées de façon à refléter l'organisation des entités qu'elles représentent.
Cette structuration passe par la hiérarchisation des hiérarchisation des données d'identités. Lors de la phase de conception de l'annuaire, il est par exemple possible de déduire la hiérarchisation des données d'identités par la structure organisationnelle des entités stockées dans l'annuaire.

Les annuaires numériques sont apparus parallèlement à l'apparition des réseaux privés, afin de recenser les différentes entités et ressources présente sur le réseau, ainsi que proposer un moyen d'identification de ces ressources (qui sont-elles ? comment les contacter ?).

Le premier système de service d'annuaire, toujours utilisé aujourd'hui, est DNS (*Domain Name Service*). Toutes les propriétés fondamentales de l'annuaire y sont déjà présentes : structuration arborescente des données, accès en lecture plus souvent qu'en écriture, architecture centralisée localement mais distribuée d'un point de vue global, possibilité d'étendre la structure de base pour prendre en charge de nouveaux cas d'utilisation, utilisation de protocoles réseaux standardisés.

Par la suite, Sun Microsystems a mis aussi point le protocole Yellow Pages, devenu par la suite NIS (Network Information Service). Outre la prise en charge des données relatives au réseau, NIS étend le principe d'annuaire aux mécanismes d'authentification sur une architecture client-serveur. Aux fichiers d'identités usuels des systèesm UNIX (`/etc/{passwd,shadow,group,...}`) viennent s'ajouter des données présentes sur un serveur NIS. Les principes de délégation de l'authentification à une autorité tierce sont introduits : on parle alors de fournisseur d'identité (ou IdP). NIS définit aussi les protocoles de communication client-serveur pour accéder à l'annuaire.

La capacité des annuaires à décrire des structures de nature vaste et complète est réalisée par la mise en place des annuaires X.500 par la CCITT/UIT-T (Union Internationale des Télécommunications). Les différents protocoles de communication client-serveur de X.500 sont normalisés par l'OSI.

Plus généralement, la question de la pertinence de l'utilisation d'un annuaire en fonction des cas d'utilisation se pose. En effet, les données d'identités peuvent tout aussi bien être stockées sur une base de données. Plusieurs critères de choix de la technologie utilisée entrent alors en jeu :
* Si les données sont plus souvent lues qu'écrites, alors un annuaire peut être plus pertinent.
* S'il est nécessaire de rendre compte de relations entre entités stockées, il peut être préférable de recourir à une BdD.
* S'il est nécessaire de standardiser la structuration des données de façon à garantir l'interopérabilité des services, ou bien de d'utiliser des protocoles de consultation du support de stockage standardisés, alors un annuaire est plus adapté qu'une SGBD.

Nous remarquerons toutefois que le mode d'accès aux différentes ressources du réseau peut être défini au cas par cas à l'aide d'outils tels que NSS (*Name Service Switch*). Ainsi, le fichier `/etc/nsswitch.conf` défini un ordre de priorité pour les différentes méthodes d'accès aux ressources telles que *passwd*, *shadow*, *group*, *hosts*, *aliases*.

La prochaine section de ce document traite du standard d'annuaire le plus utilisé actuellement, LDAP (*Lightweight Directory Accès Protocol*). Différentes implémentation de cette RFC seront ensuite présentés.

## LDAP

### Présentation générale
Il convient tout d'abord d'expliquer en quoi LDAP se démarque des technologies d'annuaire précédentes.

LDAP se veut une simplification de X.500, par définition d'une structure arborescente minimale relativement simple à déployer (et cependant largement extensible).
Ainsi, si LDAP et X.500 ont de nombreux points communs (par exemple les attributs et objets typés de façon similaire, ou encore les mêmes opérations d'accès à l'annuaire), leur fonctionnement diverge en de nombreux points :
- les premières versions de LDAP supportaient déjà TCP/IP, tandis que X.500 n'a longtemps supporté que ses propres protocoles réseau.
- LDAP définit un mécanisme de duplication des annuaires selon plusieurs cas d'usage (Cf paragraphe suivant consacré à LDUP).
- LDAP allège le nombre de fonctions présentes dans X.500, proposant ainsi un standard plus facilement implémentable (justifiant ainsi le plus grand nombre d'implémentations LDAP disponibles par rapport à X.500).

[//]: <> (clairement les tenants et aboutissants d'une telle standardisation pour description organisationnelle, à l'aide des schémas couramment utilisés nis, inetorg ?)

Etudions par exemple le schéma InetOrgPerson fourni par l'IETF. Ce schéma décrit la façon dont un employé est défini dans l'annuaire.
Ce schéma, défini de façon exhaustive par la RFC2798, reste bien évidemment extensible (afin de répondre à des besoins spécifiques, non-couverts par la RFC).
Au total, 27 attributs permettent de définir une InetOrgPerson : carLicense, departmentNumber, displayName, employeeNumber, employeeType, jpegPhoto, etc.

Une fois déclarés tous les types mis en jeu pour la défini d'une InetOrgPerson, la définition de cet objet peut avoir lieu :

`# inetOrgPerson`
`# The inetOrgPerson represents people who are associated with an`
`# organization in some way.  It is a structural class and is derived`
`# from the organizationalPerson which is defined in X.521 [X521].`
` objectclass ( 2.16.840.1.113730.3.2.2`
`   NAME 'inetOrgPerson'`
`   DESC 'RFC2798: Internet Organizational Person'`
`   SUP organizationalPerson`
`   STRUCTURAL`
`   MAY ( audio $ businessCategory $ carLicense $ departmentNumber $`
`    displayName $ employeeNumber $ employeeType $ givenName $`
`    homePhone $ homePostalAddress $ initials $ jpegPhoto $`
`    labeledURI $ mail $ manager $ mobile $ o $ pager $ photo $`
`    roomNumber $ secretary $ uid $ userCertificate $`
`    x500uniqueIdentifier $ preferredLanguage $`
`    userSMIMECertificate $ userPKCS12 )`
`   )`

Deux choses importantes sont à remarquer pour cette définition.

Tout d'abord, et de façon similaires à tous les types utilisés dans les schémas standard, les objet (*objectClass*) possèdent un OID (ou *Object IDentifier*). Les OID standard, délivrés par l'IANA, permettent d'identifier de façon univoque un élément (objet, attribut, ou type) intervenant dans la définition d'un schéma LDAP.

[//]: <> (chaque OID correspond à la standardisation d'un attribut)
[//]: <> ( LDAP reprend le format de la norme X500 mais propose une spécification plus légère et plus facile à mettre en place. "L" pour *Lightweight* Fonctionne sur TCP/IP contrairement  DAP/X.500)

Ensuite, la définition des *objectClass* se fait à l'aide de mot-clés indiquant à l'administrateur système quels attributs peuvent entrer en jeu pour l'objet donné.
Les différents mot-clés, à savoir MUST et MAY, permettent de déterminer le caractère optionnel ou obligatoire de chacun des attributs.
Un objet peut comporter un ensemble d'attributs obligatoires (i.e. qui doivent être présents pour chacun occurrence de l'objet dans l'annuaire) et un ensemble d'attributs optionnels seulement.
La RFC4519 (*LDAP: Schema for user applications*) donne l'exemple de l'*objectClass* `groupOfNames` qui possède ces deux ensembles d'attributs obligatoires et facultatifs :
`      ( 2.5.6.9 NAME 'groupOfNames'`
`         SUP top`
`         STRUCTURAL`
`         MUST ( member $`
`               cn )`
`         MAY ( businessCategory $`
`               seeAlso $`
`               owner $`
`               ou $`
`               o $`
`               description ) )`


[//]: <> ( Les données sont organisées selon un schéma.)
LDAP spéficie aussi une interface de consultation de l'annuaire pour les clients autorisés (voir les outils client de type `ldap-utils`)
Par définition, les accès les plus fréquents se font en lecture plutôt qu'en écriture. On parle d'annuaire car ce référentiel est plus souvent consulté que modifié.
Il est important de remarquer qu'à travers les schémas, LDAP standardise la structure et l'organisation des données stockées dans l'annuaire. Cette standardisation a pour but de garantir l'interopérabilité entre structures organisationnelles.

Le stockage des données de l'annuaire peut se faire sur une BDD ou simplement sur un fichier.

On distingue quatre composantes - ou quatre modèles (cf *Understanding and deploying LDAP Directory Services*) :
- le modèle de nommage
- le modèle fonctionnel
- le modèle d'information
- le modèle de sécurité

#### Modèle de nommage
Ce modèle consiste en une convention de formation des DC (*Domain Components*)
Identification univoque par utilisation d'un DN (Distinguished Name), ou utilisation du RDN si pas besoin d'identifiant unique.

Attributs de base des entrées LDAP [//]: <> (TODO Courte présentation de ces différents attributs)
* dn (*Distinguished Name*)
* rdv (*Relative Distinguished Name*)
* objectClass
* dc (*Domain Component*)
* o (*Organization*)
* ou (*Organizational Unit*)
* cn (*Common Name*)
* sn (*Surname*)
* uid (*User IDentifier*)

Structure arborescente de représentation des données.


#### Modèle fonctionnel
Le modèle fonctionnel de la RFC LDAP se base sur les mécanismes de portées et de filtres pour les opérations CRUD.
La recherche d'entrées dans un annuaire se fait selon une portée (*scope*) :
- **base** : recherche seulement sur l'entrée LDAP mentionné dans la recherche
- **sub** : recherche récursive complète
- **one** : un seul niveau de profondeur à partir de l'élément mentionné dans la requête

Les filtres définissent leur propre syntaxe d'expressions régulières et d'expressions booléennes pour imposer des conditions logiques sur les attributs des entrées recherchées.

Prenons par exemple la requête suivante :
```
"(|(telephoneNumber=*)(mail=*)(street=*))"
```

La RFC stipule que le symbole `|` désigne l'opérateur logique OU. Ainsi, la recherche ci-dessus renvoie toutes les entrées (à partir du DN définissant le sous-arbre de recherche) dont l'un des trois champs `telephoneNumber`, `mail` ou `street` est désigné.

De façon similaire, l'opérateur logique ET est représenté par le symbole `&`.

On remarquera par ailleurs que la RFC standardise une syntaxe de requêtes étendue permettant d'exprimer des conditions logiques plus complexes que ce qui est présenté ici. Nous renvoyons le lecteur à la documentation en ligne abordant la notions de filtres étendus, notamment les paragraphes 2 et 3 de la RFC4515 (String representation of LDAP Search Filters).


Les filtres ne prennent sens que par association aux différentes opérations effectuable sur l'annuaire . Elles sont au nombre de 11 : *abandon*, *add*, *bind*, *compare*, *delete*, *extended*, *modify*, *modify DN*, *rename*, *search*, *unbind*. Ces opérations appartiennent chacunes à l'une des quatre catégories CRUD (Create,Read, Update, Delete).
De par la nature-même de la structure d'annuaire, les développeurs de  OpenLDAP ont pris le parti de proposer une implémentation optimisant les opérations de lecture au détriment des opérations d'écriture.

Enfin, il est important de noter que LDAP s'appuie sur les propriétés modulaires de SASL, lesquelles permettent délégation de l'authentification à un mécanisme tiers, spécialisé dans cette tâche.

//
//URLs Echappement par caractères hexadécimal préfixé par %
//`ldap[s]://<hostname>:<port>/<base_dn>?<attributes>?<scope>?&<filter>?<extensions>`
//
//Opérations côté client de type CRUD
//
//

#### Modèle d'information
Le modèle d'information de LDAP introduit deux notions importantes:
- Le DIT (*Directory Information tree*) est la structure de données adoptées par le protocole. Cette structure arborescente, en pratique souvent peu profonde (beaucoup de noeuds sont des feuilles), permet de représenter un vaste ensemble de structures de données.
 - Le DSE (*Directory Service Entry*) est une entrée du serveur, associée à une chaîne de caractère de longueur zéro. L'entrée DSE contient les méta-données de l'annuaire, telles que les `namingContexts`, le `vendorName`, les `supportedAuthPasswordSchemes` ou encore les `supportedSASLMechanisms`.

En fonction des schémas utilisés, certaines entrées peuvent contenir des attributs multivalués (une même personne peut posséder plusieurs adresses, être associées à plusieurs unités d'affectation, etc). On notera néanmoins que la RFC impose l'absence d'ordre dans la déclaration des attributs multivalués.

// La définition des schémas standard se fait par recours aux OIDs , attributeType et et OIDs // Redite...

#### Modèle de sécurité
On peut aussi choisir de mettre en place une authentification anonyme (en général ce mode d'authentification présente des droits d'accès moindres par rapport à une authentification identifiée).

Deux protocoles principaux pour assurer la sécurité par chiffrement des échanges client-annuaire :
- LADPS a recours a SSL // obsolète, non ?
- StartTLS, qui utilise TLS (successeur de SSL)

Le serveur peut avoir recours à des ACLs pour restreindre les droits d'accès du client après authentification de ce dernier.
Nous renvoyons le lecteur de ce document aux *man pages* de *slapd.conf(5)*, fichier de configuration du serveur OpenLDAP.
La syntaxe des ACL y est assurée par une gestion de droits de façon déclarative, sous la forme :
`access to <what> [ by <who> <access> <control> ]+`

//Finalement, l'authentification peut-être laissée à un mécanisme d'authentification forte ou du moins renforcée, à l'aide du protocole SASL. //Redite

#### Fonctionnnalités annexes
##### Réplication
// cf plus bas LDUP -> TODO reorganiser, expliquer les différentes raisons pour instaurer une redondance de l'annuaire sur plusieurs serveurs

##### Distribution
Cette fois-ci pas de redondance, mais éclatement de l'annuaire en plusieurs parties sur différents serveurs.
On parle de *referrals* (càd de référencement)

##### Liens symboliques
Permet au contraire d'éviter la redondance des données par la mise en place d'alias au sein d'un même annuaire.
Cf *aliasedObjectName* (RFC4512LDAP Directory Information Models - Section 2.6 : Alias Entries)

### Schémas
#### Présentation
Défini au format LDIF
Standards approuvés par l'IANA
Possibilité de modifier (déconseillé) ou d'étendre (préférable) des schémas existant

### LDUP
Mécanisme de duplication
Pas de synchron à proprement parler ?
*LDAP Duplication/Replication/Update* -- LDAPv3

Différentes configurations prises en charge pour la réplication des données de l'annuaire :
- plusieurs maîtres (multi-master)
- maître - esclave
#### LDAPv3 Replication requirements (RFC3384)
Concepts fondamentaux :
* Réplication anonyme (*anonymous replication*) : source et cible sont identifiées mais pas authentifiées
* Zone de réplication (*area of replication*) : sous-partie de l'arborescence qui subit réplication. (=> Cette réplication ne concerne pas toujours la totalité de l'annuaire)
* Opération atomique : cf théorie de la synchro entre différents process
* Conflits : sur les informations répliquées (par ex deux changements non conciliables concernant la même sous-partie des données répliquées)
* OID Critique : Critique au sens de la réplication. Synchronicité entre modification d'un OID critique et propagation des modifications sur tous les réplicats.
* Mise-à-jour incrémentale (*incremental update*) : Mise à jour dont le contenu ne concerne que ce qui a été modifié, et non pas les données restées identiques entre les deux modifications
* Réplication à sens unique (*one-way replication*) -> par opposition à :
* Réplication bidirectionnelle (*two-way replication*) : changements locaux appliqués dans les deux sens pour parvenir à un état identique ~> 'LDAP merge'
* Réplicat esclave (*Slave replica*) : exemplaire du LDAP disponible en lecture seule seulement. Ne peut être instigateur de modifications sur son exemplaire local de l'annuaire.

#### Cas d'usage
TODO

#### Limites de LDUP
LDUP concerne un seul annuaire, selon un modèle distribué master*s*/slaves, pas forcément centralisé.
Mais en pratique, il n'est pas toujours (voire pas souvent possible) d'avoir un seul annuaire LDAP. Certains outils ne supportent pas ce protocole.

On va donc avoir besoin d'un mécanisme de synchro de référentiels d'identités basés sur des technos hétérogènes.

// TODO Réorganisation des h3, ce n'est pas très clair
### Authentication methods for LDAP (RFC2829)
#### Motivations de la RFC
- Accès frauduleux en lecture ~> Vol de données potentiellement sensibles
- *Session hijacking* par vol des données d'authentification d'un client légitime obtenue sur l'annuaire
- Accès frauduleux en écriture ~> Corruption des données de l'anuaire
- DoS sur l'annuaire
- Man-in-the-middle avec tout ce que ça implique ~> Dégâts côté client et/ou côté serveur.
#### Moyens mis en place
* politique d'accès de contrôle (*access control policy*)
il s'agit de régles d'accès au ressources, généralement sous forme de liste.
Une telle politique nécessite la définition d'attributs d'accès //TODO

### Implémentations
#### OpenLDAP
OpenLDAP est l'implémentation UNIX de référence des annuaires LDAP.
Sous Debian, le paquet à installer est `slapd`.

Compatibility avec les LDAP scripts ?

TODO Ecrire un slapd.conf pour le convertir à la nouvelle syntaxe ?
BLOCKER Quels credentials par défaut ?

cf tutoriels.meddeb.net :
- /usr/lib/ldap/ : librairies des modules (overlay), fichiers binaires natifs
- /etc/ldap/schema/ : Schémas disponibles par défaut, fichiers texte.
- /etc/ldap/slap.d/ : Configuration dynamique, fichiers texte.
- /var/lib/ldap/ : Données, fichiers de la base de données installée.
- /var/run/slapd/ : Paramètres d’exécution, fichiers texte.

Annuaire minimal à l'installation, dont le dn est dérivé du hostname de la machine :
`paul@spare:~$ ldapsearch -Y external  -H ldapi:/// -b dc=entrouvert,dc=lan -LLLSASL/EXTERNAL authentication started`
`SASL username: gidNumber=1003+uidNumber=1003,cn=peercred,cn=external,cn=auth`
`SASL SSF: 0`
`dn: dc=entrouvert,dc=lan`
`objectClass: top`
`objectClass: dcObject`
`objectClass: organization`
`o: entrouvert.lan`
`dc: entrouvert`
``
`dn: cn=admin,dc=entrouvert,dc=lan`
`objectClass: simpleSecurityObject`
`objectClass: organizationalRole`
`cn: admin`
`description: LDAP administrator`

Nous possédons maintenant les informations nécessaires pour paramétrer Apache Directory Studio afin de naviguer en GUI dans l'annuaire installé.

L'exécutable binaire pour Linux est disponible sur le site de la fondation Apache.

Le fichier Example.ldif, obtenu sur `mcraig.org/ldif/Example.ldif`, permet de peupler l'annuaire pour refléter une structure organisationnelle générique.

Nous aurions tout aussi pu utiliser la fonction populate des ldap-scripts disponible pour Linux. [//]: <> (Retrouver ceux du cours réseau ? ldappopulate)

##### Sources
Le code source d'OpenLDAP étant ouvert, il est possible d'étudier certains aspects de l'implémentation. OpenLDAP définit sa couche 5 (du modèle OSI), y compris tous les message qui vont circuler sur le flux TCP.

Commençons par obtenir de code source :
`$ git clone git://git.openldap.org/openldap.git`

[//]: <> (<OpenLDAP directory>ldap/libraries/libldap/ldap-int.h)

Ligne ~ 145 :
`/*`
` * This structure represents both ldap messages and ldap responses.`
` * These are really the same, except in the case of search responses,`
` * where a response has multiple messages.`
` */`
``
`struct ldapmsg {`
`        ber_int_t               lm_msgid;       /* the message id */`
`        ber_tag_t               lm_msgtype;     /* the message type */`
`        BerElement      *lm_ber;        /* the ber encoded message contents */`
`        struct ldapmsg  *lm_chain;      /* for search - next msg in the resp */`
`        struct ldapmsg  *lm_chain_tail;`
`        struct ldapmsg  *lm_next;       /* next response */`
`        time_t  lm_time;        /* used to maintain cache */`
`};`

TODOTODOTODO


#### ApacheDS
Crée par Alex Karasulu
Nous pouvons aussi utiliser Apache Directory Studio en tant qu'implémentation LDAP. Dans la section précédente, nous l'utilisions simplement en tant qu'interface graphique de navigation dans un annuaire OpenLDAP.

Pour des raisons de stabilité, nous privilégions ici une installation à l'aide du paquet Debian (fichier .deb) plutôt que du fichier binaire Java.

Critique de l'outil ApacheDS : UI dérivée Eclipse, c'est lourd et peu intuitif.

Nous rappelons au lecteur que l'objectif ici est de mette en place en parallèle plusieurs annuaires hétérogènes sur la machine locale, ceci dans le but de tester les fonctionnalités d'approvisionnement et de synchronisation de plusieurs gestionnaires d'identités, à partir de référentiels d'identités hétérogènes.

[//]: <> (BLOCKER : apacheds console default admin password ?)

Autre implémentation d'un serveur LDAP, cette fois-ci écrite en Java.

Propose son API : Se comporte comme un composant Java embarquable dans tout type type d'appli Java.

Fait par exemple partie de Geronimo (serveur d'application J2E de la fondation Apache, certifié Java EE 6) ou de JBoss/WildFly

Complètement compatible avec les RFC LDAPv3

Par défaut, le serveur LDAP ApacheDS écoute sur les ports 10389 (en clair ou chiffré avec StartTLS) et 10636 (SSL)
389 < 1024 donc nécessite les droit *root* pour écouter sur ce port (port standard LDAP)

Répartition des entrées dans des partitions, chacune contenant un *Directory Information Tree*
Ajout d'une partition:
Ici en utilisant JDBM B+Trees [//]: <> (Et Mavibot ? TODIG)

Apache Mavibot MVCC BTree
Successeur de JDBM pour l'implémentation des arbres de recherche balancés.

Stockage dans des fichiers binaire -> backup

`$ ldapsearch -D "uid=admin,ou=system" -w secret -p 10389 -h localhost -b "dc=example,dc=com" -s sub "(ObjectClass=*)" * + > backup.ldif`

`ldapsearch -h localhost -p 10389 -b "o=sevenSeas" -s sub "(cn=James Hook)" +`

[//]: <> (TODIG Onglet Replication de la config du server apacheDS en GUI client lourd)

Sécurité ?
Contrôle d'accès ? -> Standardisé par la RFC LDAPv3 ?
La configuration est manipulable par écriture/lecture de fichiers LDIF dans <apacheds_base>/conf/../\*.ldif

### LDAP Synchronization Connector (LSC)
Supporte la synchro ApacheDS <-> OpenLDAP


#### OpenDJ
#### IBM RACF [//]: <> (??? Plus large que LDAP ??)

## Microsoft Active Directory

## SUPANN
TODO
Propre à l'enseignement supérieur ?
Calqué sur le modèle organisationnel des univ aux US ?

## PABX ?
## NIS ?
## DNS/Whois ? (pas vraiment de la GI ?)

# Mécanismes d'authentification et implémentations
## SASL (RFC2222)
TODO Paul
## SAML
Basé XML
Standardisé par l'OASIS
Décrit des formats de données d'échange entre IDP et SP, à des fins d'authentification et d'autorisation des utilisateurs.

Utilisé pour le SSO des navigateurs

Une implémentation pour le SSO au niveau d'internet plus que d'un intranet ( intranet => Cookies seuls permettent d'assurer le SSO, car on sait quels technos Web sont en place dans le réseau interne)

Cf OpenSAML

Définition de rôles TODO explications access control

Méthode d'authentification laissée au choix des concepteurs du service
LDAP, RADIUS, AD, délégation à un compte réseau social proposant des services d'authentification, etc.

SAML2.0 depuis 2005

TODO : Récupérer le XML Schema décrivant SAML, se documenter sur XML Encryption

Clauses d'une assertion SAML :
- contenu de l'assertion en elle même ?
- temps d'émission de l'assertion
- émetteur
- sujet de l'assertion
- conditions de validité de l'assertion

Sens (usuel) des assertions : IdP -> SP
De ces assertions dépendent les contrôle d'accès défini par le SP pour l'utilisateur venant de s'authentifitier

Types de *statements* :
- Concernant une authentification
- Concernant un attribut
- Concernant une autorisation
auxquels sont associées trois mêmes types de requête provenant du SP

TODO SAML SOAP bindings ?

### profils SAML
#### Profil navigateur/artefact  // TODO ?
#### Profil navigateur/http POST // TODO ?

### SAML et sécurité
TLS
XML Signature, et XML Encryption //TODO ?
Ne spécifie pas de méthode de signature ou de chiffrement en particulier, juste des conventions de formatage pour leséchangés des paramètres de ces deux mécanismes (signature et chiffrement)

### Structure des échanges SAML
//TODO cf doc Authentic

Schema de l'attribut SAML LDAP/X.500 'givenName' (extrait doc Authentic) :

`    <saml:Attribute`
`        xmlns:x500="urn:oasis:names:tc:SAML:2.0:profiles:attribute:X500"`
`        NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"`
`        Name="urn:oid:2.5.4.42" FriendlyName="givenName">`
`        <saml:AttributeValue xsi:type="xs:string"`
`            x500:Encoding="LDAP">Mikaël</saml:AttributeValue>`
`    </saml:Attribute>`

Normé par L'OASIS

## OpenID Connect
Utilisé pour la plateforme FranceConnect
Plus facile à mettre en place que des solutions basées SAML ?

## Kerberos (RFC1510)
TODO bouquin o'Reilly

TODIG
- Mutual Authentication :
Le client s'authentifie auprès du serveur, et réciproquement. Cette double authentification limite les risque d'usurpation d'identité (*identity spoofing*)
Trusted Third-Party
SESAME's limited delegation

L'algorithme de chiffrement symétrique utilisé par Kerberos est DES.

Notion de principal

Chiffrement des tickets envoyés

Ticket delivery service

Les clés distribuées par le service (de délivrement de tickets) ont une durée limitée dans le temps, ce qui diminue le risque d'attaques de type *replay* (rejeu frauduleux d'une session par un tiers non autorisé).
On parle alors de clé de session.

### Recommandations/spécifications de la RFC
#### Déroulement de la phase d'authentfication :
- Le client envoie une requête d'accès à un service donné,
- Le serveur d'authentification Kerberos renvoie les accès, chiffré avec la clé publique du client. Ces accès contiennent un ticket initial et une clé cde session (clé temporaire).
- Le client va utiliser le ticket pour contacter le serveur. Ce ticket contient l'identité du client et la clé de session chiffrée avec la clé publique du serveur (associé au service demandé par le client).
- La clé temporaire initie l'authentification (pas forcément mutuelle), puis la négociation d'un paramètres de communication chiffrée entre client et serveur.

#### Accès à l'AS
Deux façons de réaliser la première étape (demande d'accès du client au serveur d'authentification) :
* D'abord un TGT (*Ticket-Granting Ticket*) pour contacter le TGS (*Ticket-Granting Server*)
* Sinon, le TGS est un serveur d'application comme les autres, pas de méthode de communication spécifique.

L'accès à la base de données des principaux se fait selon le protocole KADM (Kerberos Administration).

#### *Realms* (Royaumes)
A un serveur d'authentification est associé un royaume. Les royaumes représentent donc une unité organisationnelle nécessitant un mécanisme d'authentification pour ses principaux.
On remarquera ainsi que le nom du royaume apparaît dans l'identifiant de tout principal de ce royaume.

Il peut cependant être intéressant de mettre en place des mécanismes de communication (et d'authentification) inter-royaume.

//TODO cross-realm operations
Ces communications inter-royaumes nécessitant que l'admin sys mette en place des clés prévues à cet effet. Elles permettront les échanes chiffrés entre les royaumes.

Concrètement, le TGS d'un royaume est enregistré en tant que principal du second royaume. Tout client local peut alors contacter le TGS distant à l'aide un TGT classique.

La communication entre deux royaumes peuvent transiter par plusieurs royaumes intermédiaires, pourvu qu'une clé inter-royaume soit disponible pour chaque échange direct.
On parle alors de chemin d'authentification (*authentication path*).

En conséquence, pour des raisons pratiques, on met en place une organisation hiérarchique des royaumes entre eux, selon une structure arborescente.
Dans un tel modèle, tout royaume a un père et potentiellement plusieurs fils.
Cette hiérarchie est déduite des chemins d'authentification usuels.

TODO Question : comment est mise en place la base de données de principaux ? revoir KADM dans le cas de plusieurs royaumes.

On remarquera enfin que le processus d'authentification n'est par nature pas transparent pour l'application. Elle connaît, à l'aide du ticket, les differents royaumes impliqués dans le chemin d'authentification. Elle peut alors en déduire la fiabilité du processus d'authentification en fonction des différents acteurs mis en jeu.

TODO : Section 1.2 (*Environmental Assumptions*) mérite d'être détaillée ici

# Identity Management

## Principes généraux

## Approvisionnement

## Implémentations
### Authentic 2
écrit en Django
TODO Installation et déploiement en local
TODO Ecriture d'un dummy SP pour tester Authentic ??

TODO Expliquer les particularités de la licence GNU Affero GPL (APGL)
TODO Quel intérêt de licencier la documentation sous Creative Commons ?
#### Documentation
Comprendre l'interaction avec Lasso pour le support SAMLv2

One-time password support ?

Sphinx, génération de la doc
Cf structure des fichiers rst

##### Administration
L'administration d'Authentic 2 se fait de façon classique, à l'aide du module d'administration de Django, lequel propose une interface graphique disponible à la page `/admin/` du site.
Il faudra cependant veiller à créer un *superuser* lors de l'initialisation de la base.

Le contrôle d'accès aux ressources Authentic se fait par recours à deux politiques globales appelées 'Default' et 'All'. //TODO reformuler
Le mécanisme de politiques d'accès géré par Authentic est extensible : l'administrateur du service peut en définir, en plus des politiques 'Default' et ' All'.

Le niveau de granularité de ces politiques est l'objet : à chaque objet il est possible d'attribuer une politique d'accès. // Au sens de la POO ?

//TODO Pourquoi est-il nécessaire d'appliquer la politique 'All' sur tous les objets ? Quel(s) problème(s) si on ne le fait pas ?

##### Gestion des attributs SAML2
Il s'agit ici de configurer une politique de gestion des attributs envoyés dans les réponses de succès d'authentification envoyées par Authentic 2 aux SPs.

L'utilisation des attributs SAML2 dans les réponses Authentic varie en fonction des cas d'utilisation, Authentic peut ou on être configuré en tant que SP SAML2.

//TODO Relire `attribute_management.rst`
Ligne 207 : une associe une politique à un SP
Cas particulier du SSO
Revoir scenario d'utilisation avec mire de connexion

##### Authentification
Avec LDAP ou laissée à PAM
Rappel: la configuration de PAM sous UNIX se fait à l'aide des fichiers situés dans `/etc/pam.d`

Configuration de la variable `AUTHENTICATION_BACKEND` du `settings.py` des sources Django.

##### SAML2 et croisement des données entre différents compte
Cette possibilité de croisement des données entres les différents comptes liéss à une même identité est au coeur de la fédération d'identité (On parle de *account linking consent*).

C'est le fournisseur d'identité (IdP) qui gère le consentement des utilisateurs à la liaison de leurs différents comptes.
Les données ne sont pas forcément croisées, il peut simplement s'agir de la mise en place d'un mécanisme de SSO.

Dans ce cas, le message SAML AuthnRequest contient un champ indiquant le choix de l'utilisateur quant au croisement des ses comptes.

Si l'IdP manipule des identifiants opaques (*transient*), alors le consentement de l'utilisateur au croisement des comptes n'est pas nécessaire. //TODO à vérifier

On notera aussi que le fournisseur de service (SP) est en droit de refuser un SSO valide si le consentement de l'utilisateur n'a pas été recueilli. //S'agit-il ici de Authentic en tant que SP ?

Il faut aussi gérer le consentement à la redirection d'attributs (*attribute forwarding consent*).
Dans Authentic 2, cette politique de gestion consiste en un choix parmi trois possibilités :
* Ne pas demander à l'utilisateur son accord
* Recueillir un consentement global pour l'ensemble des attributs ("Tout ou rien")
* Permettre à l'utilisateur de choisir, attribut par attribut, ceux qui peuvent être redirigés

#### authentic2-ctl
installation par pip en local
pip install ./
Outil d'administration en ligne de commande

#### Installation
* AttributeError: 'module' object has no attribute 'PassThroughManager'
	quand : utilisation de authentic2-ctl
	pourquoi : incompatibilité sur les versions récentes du module django-model-utils
	solution :  rétrograder le module django-model-utils à une version <= 2.3

##### virtualenv Python
Le mécanisme de création d'environnements virtuels sous Python permet de faire cohabiter sur un même système des installations disparates. Par exemple, un même module Python peut être présent en différentes versions tant que ces versions se situent dans des environnements virtuels différents.

Les répertoires d'installation des modules Python dans le cadre d'un virtualenv sont seulement locaux à l'environnement créé.

##### Troubleshooting
-


##### Utilisation des *tenants* du SGBDR

### Apache Syncope
Syncope est le projet d'outil de gestion des identités numériques de la fondation Apache.
Il est écrit en J2E et est distribué sous licence Apache.

L'identité numérique consiste en un ensemble de demandes qu'un sujet numérique peut effectuer à propos de lui-même.

Notion de cycle de vie des données d'identité telle que définie par le projet, à travers le *provisioning* et le *deprovisioning*.

//TODO Inclure image du projet Apache Syncope


#### Tuto officiel (*Getting Started*)
La problématique centrale de GI telle que le conçoit Syncope est
"Qui a accès à Quoi, Quand, Comment et Pourquoi ?"

Trois types d'objet sont définis par Apache Syncope : les utilisateurs (*Users*), les groupes (*Groups*), et d'autres objets n'appartenant pas à ces deux premières classes, par l'introduction des objets de type *Any*.

Plusieurs techno différentes sont nécessaires dans un scenario de gestion des identités avec Syncope.
Comme la plupart des IdM, Syncope nécessite l'utilisation d'un outil de stockage des identités (*Identity Store*). Il peut s'agir d'un SGDBR, d'un annuaire LDAP ou même d'un fichier "à plat".
Syncope prend en charge les fonctionnalités d'approvisionnement (*Provisioning engine*) et de gestion d'accès (*Access Manager*).

Le moteur d'approvisionnement, fourni par Syncope, est responsable des fonctionnalités de synchronisation des différentes bases de référentiels d'identité, avec toutes les problématiques de compatibilité (formats, modèles, sémantiques) qui en résultent.

Le gestionnaire d'accès se charge de l'authentification, des autorisation et de la fédération des identités fournies aux différents services de l'architecture.

Cf `syncope_architecture.png`. Description de la pile logicielle usuelle d'une appli Web utilisant Syncope.
Syncope -> partie 'Core', du front au back en assurant aussi la sécurité.

//TODO CF Activiti BPM

La persistence est assurée par JPA, et les propriétés ACID du stockage sont prises en charge par le système transactionnel du framework Spring.

Connecteurs : ConnId pour l'implémentation des connecteurs
Post SUN ICF (Identity Connector Framework)

Penser à installer les trois paquets Debian (la base, 'console',  et 'enduser')

Installation de la GUI en client lourd ? Vraiment nécessaire ?

`http://localhost:8080/syncope-console/login?1`

TODO Tuto Apache Maven
#### Apache Maven
Outil de gestion de projet (au sens de gestion technique: résolution des dépendances, automatisation du build, packaging, génération de la doc, etc)

`JAVA_HOME` utilisé /usr/lib/jvm/java-1.8.0-openjdk-amd64
Faire les modification dans /etc/profile
Fichier lu au démarrage d'un login shell

Installation :
Fichier binaire directement disponible
Penser à rajouter le répertoire d'installation de Maven au $PATH

Il convient maintenant de configurer proprement Maven

`# OpenJDK environment configuration`
`export JAVA_HOME="/usr/lib/jvm/java-1.8.0-openjdk-amd64"`
`export PATH=$JAVA_HOME/bin:$PATH`
`# Add Maven to the binary search path`
`export PATH=/opt/apache-maven-3.3.9/bin:$PATH`
`export MAVEN_OPTS="-XMs256m -Xmx512m"`
Dernière options pour définir l'utilisation RAM de la VM Java

TODO en quoi Maven va plus loin que Ant pour ce qui est du build ?

#### Lancement de Syncope
Création du projet à l'aide des *archetypes* Maven.

`/opt/apache-maven-3.3.9/bin/mvn archetype:generate \`
`    -DarchetypeGroupId=org.apache.syncope \`
`    -DarchetypeArtifactId=syncope-archetype \`
`    -DarchetypeRepository=http://repo1.maven.org/maven2 \`
`    -DarchetypeVersion=2.0.2`

Manipulation de fichiers POM

`paul@spare:~/Documents/syncope.test/synctest$ find ./ -name '*.war'`
`./core/target/syncope.war`
`./console/target/syncope-console.war`
`./enduser/target/syncope-enduser.war`

Utilisation des profils Maven (option CLI '-P'), par exemple pour le mode *embedded* pour la partir enduser de Syncope


Première constatation : niveau performances de l'interface Web d'administration, c'est vraiment trop lent.
Pb inhérent à Java ?

Système de contrôle d'accès lui aussi défini par des rôles
On parle aussi de relations (*Relationships*) pour définir les ressources auxquelles un utilisateur a accès.
Ces ressources peuvent être internes ou non au groupe.

Pb : inutilisable en l'état : Unknown [ActivitiObjectNotFoundException: execution 10 doesn't exist]
Exception non capturée dans le code
Impossible d'utiliser l'interface d'administration

TODO : Troobleshoot + étudier cas de synchro de réfs d'identités hétérogènes.

Aller investiguer dans http://localhost:9080/syncope/db.jsp pour comprendre le modèle de stockage des identités mis en place par syncope


### evolveum midPoint
Projet écrit un Java, difficilement interfaçable avec les outils entr'ouvert.
Lourd (projet git de taille 230Mo)
Multifonctions :
- Automatisation de la création (*provisioning*) et suppression (*deprovisioning*) des référentiels d'identité gérés.
- synchro et gestion des conflits (*reconciliation*)
- Automatisation des processus d'acceptation des requêtes au référentiel d'identité
- Contrôle d'accès défini par les rôles (*Role-based access control* ou RBAC)
- Outils de monitoring
- utilisation de connecteurs standards pour interfacer les SP en tant qu'IDP
TODO Parcourir sources, identifier les modules correspondant aux fonctions proposées

Installation à partir des sources, à l'aide de Maven

Déploiement d'un WAR de façon automatique avec tomcat ?
Ne fonctionne pas pour l'instant

Problème de taille de mémoire allouée à la JVM ?
Réessayer avec le manager GUI de tomcat (`/manager`)

Résolution : définition correcte du `MIDPOINT_HOME` dans `$CATALINA_HOME/setenv.sh` (script à créer)

### Linagora LinID
Leur serveur ruby on rails (linid.org) est par terre pour le moment.

### ForgeRock OpenIDM
Pour l'instant, impossible de le faire fonctionner, documentation trop light.



# SSO (et SLO)

# Synchronisation

# Fédération d'identités
## Présentation
Concept très propre à la France
Contraintes imposées par la Loi Informatique et Libertés (cf CNIL)
techno-agnostic côté SP
transparence pour l'utilisateur
utilisation de la page de login de l'organisme de l'utilisateur pour l'identification et l'authentification sur le site ayant mis en place la fédération d'identités

Interdiction d'un croisement implicite des données, sans en avertir l'utilisateur

Plus grande probabilité de véracité des informations utilisateur
Ces infos proviennent de sources sûres et à jour

TODO un SVG à faire ici, expliquant les mécanismes de la FI

TODO Relever les cas d'utilisation dans l'administration, les collectivités, et le monde de l'enseignement supérieur
## Standards
### Shibboleth
Appli Java
Dépendances :
Sprint
OpenSAML
Licence Apache

# Contrôle d'accès

## XACML
//TODIG

## ALFA
//TODIG

# Formulaires

## w.c.s.
L'outil de gestion de formulaires et de workflow a été utilisé dans la mise en place du POC. L'utilisation du protocole https nécessite d'installer modules Apache ssl (l'une des implémentations openssl ou gnutls), scgi, rewrite.

La gestion de l'authentification dans w.c.s. nécessite la définition d'une méthode de signature. La méthode retenue est
```
BASE64(HMAC-HASH(query_string+'algo=HASH&timestamp=' + timestamp + '&orig=" + orig, clé))
```

BASE64 désigne l'encodage en base 64 (i.e. sur 6 octets) de la signature. Par ailleurs, HMAC-HASH est la fonction de hachage utilisée pour signer les messages. Spécifique à la génération de code d'authentification, cette méthode repose sur l'utilisation d'une clé secrète.


Retrait de l'exception enpêchant l'absence de signature dans les appels à l'API -> Commentée
Pas pertinent pour l'instant dans le cadre du POC


Gestion locale de l'authent, pas de recours à un IdP pour w.c.s. : pas nécessaire dans le cadre du POC ?
Se connecter en tant qu'admin pour pouvoir accéder aux interfaces de gestion des formulaires en attente d'acceptation

Quel algo de hachage pour le champ password en wcs ?

### API ReST
L'API proposée par l'outil w.c.s. suit les conventions REST telles que définies par Roy Fielding au début des années 2000.

Ce design pattern propose une utilisation cohérente et consistante des méthodes HTTP (RFC7231) comme unique moyen de communication entre un client et un fournisseur de service.

Par convention, à chaque méthode HTTP est associée un action :
- POST pour la création d'une ressource sur le serveur
- PUT pour la mise à jour d'une ressource
- GET pour la lecture
- DELETE pour la suppression

TODO HATEOAS ?

### JSON

Le format de données utilisé pour la communication avec w.c.s. est JSON (JavaScript Object Notation).
Cette notation déclarative permet la description d'objets, en fournissant un ensemble de type clé-valeur structuré.

Prenons l'exemple de la définition d'un schéma de formulaire par w.c.s :

```json
{
    "always_advertise": true,
    "category": "test2",
    "category_id": "2",
    "confirmation": true,
    "description": null,
    "detailed_emails": true,
    "disabled": false,
    "disabled_redirection": null,
    "discussion": false,
    "enable_tracking_codes": false,
    "expiration_date": null,
    "fields": [
        {
            "label": "Email",
            "prefill": {
                "type": "none"
            },
            "required": true,
            "type": "string",
            "varname": "email"
        },
...
}
```

On remarque ainsi la façon dont listes et dictionnaires sont utilisées pour la description structurelles des différents champs définissant un objet.
(Champs multivalués, inclusion de sous-objets, etc).

### Plugin Passerelle
Le plugin passerelle fournit un ensemble de connecteurs permettant le dialogue entre w.c.s. et des sources de données et services de nature différentes.

Lors de la mise en place du POC, Passerelle a été utilisé pour l'établissement de la connexion LDAP depuis w.c.s.

Nous détaillons ici le scénario d'utilisation de Passerelle tel qu'implémenté dans le POC : Une fois l'entrée w.c.s. renseignée par l'utilisateur et complétée par l'agent, le plugin passerelle peut alors exploiter l'API REST pour aller chercher les données relatives aux réponses du formulaire, pour aller créer l'entrée LDAP.
L'interface avec le serveur OpenLDAP se fait à l'aide de la bibliothèque python `ldap3`.

La première étape de l'implémentation, après définition de l'interface, est l'écriture des fonctions du package `utils`, qui vont exploiter ldap3.

L'interface de LDAP n'est pas 'pythonique' et depassée, car basée sur l'idée que les opérations lourdes doivent être effectuées sur le client. //TODIG

Cf ldap3 abstraction layer

Une fois notre cas d'utilisaton spécifique de l'annuaire mis en place, nous tâchons d'implémenter un connecteur LDAP générique, basé sur le connecteur CSV déjà présent dans Passerelle.
Ce connecteur devra supporter un grand nombre d'opérations sur un annuaire du choix de l'utilisateur. Ainsi, l'interface de saisie de la requête LDAP laisse l'utilisateur libre de préciser tous les paramètres de la requête à effectuer sur l'annuaire.

La gestion des droits est laissée aux soins du serveur LDAP qui gère ses propres contrôles d'accès (par des ACL).

TODO Serveur, credentials et DN founis par l'utilisateur à la création du connecteur ? DONE

Il est nécessaire d'effectuer quelques recherches documentaires sur l'API python ldap3 pour la mise en place d'une interface Web de requêtes sur le connecteur.

Plusieurs points sont à mentionner ici:
- ldap3 prend en charge les modifications sur l'annuaire par utilisation d'un fichier LDIF (LDAP Data Interchange Format).

TODO http://ldap3.readthedocs.io/operations.html

### Config SMTP
Lors de la réalisation du POC, la phase de demande de création d'un compte invité sur le méta-annuaire
Une configuration SMTP est nécessaire pour l'automatisation des alertes email lorsqu'un
TODO rappel SMTP

# POC
## Presentation
Dans le cadre du projet Campus Condorcet, les annuaires de différents établissements doivent être regroupés en un méta-annuaire central. Aussi des problématiques d'homogénéisation de données hétérogènes se pose.

La phase de travail préparatoire à la réalisation du projet a consisté en le développement d'un POC (*Proof Of Concept*) permettant d'illustrer la procédure de constitution du méta-annuaire.

Le POC implémente un mécanisme simple d'ajout d'un compte invité ayant recours à un fournisseur de service, qui lui même repose sur un fournisseur d'identité SAML2 configuré pour assurer le SSO (*Single Sign-On*).

## Déroulement de l'ajout du compte invité dans l'application POC

Suivant un scenario classique de SSO, l'authentification depuis le fournisseur de service (SP) est déléguée à un fournisseur d'identité (IdP). Le fournisseur d'identité conclut la phase d'authentification par le renvoi d'une assertion SAML validant l'authentification.

De nombreuses informations présentes dans l'assertion SAML seront ensuites réutilisées par le fournisseur de service. Le contenu complet de l'assertion SAML est consultable en annexes de ce document, à titre indicatif. On remarquera la normalisation de la majorité des entrées (noeuds, attributs, corps) XML des messages SAML.

En particulier, les champs SAML permettant d'identifier l'utilisateur connecté sont récupérés de l'assertion. Ces champs permettent de déterminer si l'utilisateur n'est pas déjà renseigné dans le méta-annuaire OpenLDAP (annuaire d'aggrégation des référentiels d'identités des établissements partenaires du projet).

Si l'utilisateur ne se trouve pas dans le méta-annuaire, la procédure d'ajout du compte doit être effectuée. Un formulaire est alors proposé à l'utilisateur, il lui permet de valider ses données d'identités et de choisir une unité d'affectation.

La création et la gestion du formulaire sont prises en charge par l'outil w.c.s. Cet outil se base sur la notion de workflow, c'est-à-dire la cohabitation de procédures automatisées de traitement de l'information d'un part, et le recours à des actions manuelles de la part d'agents d'autre part.

Une fois le formulaire rempli par l'utilisateur, le workflow est configuré pour l'envoi automatique d'un email à un agent, pour la confirmation de création du compte.

Le plugin Passerelle permet la communication avec l'annuaire, permettant l'ajout de l'entrée LDAP correspondant au compte nouvellement créé.

L'appel au plugin Passerelle doit être effectué en tant que phase du workflow. La validation de la demande doit être rendue possible par la génération d'un lien envoyé par email à l'agent.

TODO modification du contenu du message, pour ajouter la possibilité d'envoyer les données directement dans l'annuaire.
FIXME quelle marge de manoeuvre sur la modification et l'ajout de données utilisateurs par l'agent ?

L'agent reçoit un email dont le contenu est :
```
Bonjour,

Un nouveau formulaire a =C3=A9t=C3=A9 compl=C3=A9t=C3=A9, vous pouvez le co=
nsulter
en suivant ce lien :
  http://wcs.example.com/backoffice/management/traitement/16/


Pour r=C3=A9f=C3=A9rence, voici le d=C3=A9tail du formulaire :

Email=C2=A0:
  toto@nowhere.null

Prenom=C2=A0:
  toto

Nom=C2=A0:
  t

NameID=C2=A0:
  tt

Unite d'affectation=C2=A0:
  hello
```

Par ailleurs, l'ajout d'un connecteur LDAP dans le plugin Passerelle permet de valider le formulaire et decréer l'entrée LDAP correspondante, par une requête GET sur l'URL:
http://<serveur w.c.s>/wcs/<numero id reponse formulaire>

La modification de l'email généré se fait à l'aide de la classe EmailsDirectory défini dans le code source de w.c.s. (cf wcs.git/wcs/forms.py)

Cette classe est chargée d'enregistrer des templates d'email envoyés en fonction de la configuration du workflow associé au formulaire.

Nous retrouvons le template de l'email ci-dessus dans le fichier formdefs, à la ligne 1276.
Le template est complété à l'aide de variables passées en paramètres. Elles sont pour l'instant au nombre de trois: name, url, details.

TODO Nous étudions maintenant la possibilité d'ajouter une quatrième variable correspondant à l'URL de validation exposée par l'API Passerelle.


```
./backoffice/management.py:33:from qommon.admin.emails import EmailsDirectory
./backoffice/management.py:72:        mail_subject = EmailsDirectory.get_subject('tracking-code-reminder')
./backoffice/management.py:73:        mail_body = EmailsDirectory.get_body('tracking-code-reminder')
```

Cf qommon/emails.py
   qommon/admin/emails.py

L'envoi de l'email est effectué dans wcs.git/wcs/workflows.py

Une option rapide a mettre en place: rajouter dans le formulaire l'URL de validation de celui-ci (validation au sens de Passerelle, une URL localhost:8007/wcs/<id>


Problème non réentrance des vues du SP si inférence du numéro d'identifiant de la réponse au formulaire. Cette donnée ne devrait pas être manipulée avant création de l'entrée par WCS.
C'est un ID autoincrémenté, mais cela pose quand même problème.

./lib/python2.7/site-packages/quixote/publish.py:291:def get_publisher():

Localiser la fonction de génération et d'envoi de l'email

dans wcs/qommon/emails.py

L'email est modifiable dans l'onglet Paramètres de l'interface backoffice de w.c.s.

```
Bonjour,

Un nouveau formulaire a été complété, vous pouvez le consulter
en suivant ce lien :
  [form_url_backoffice]

  Si nécessaire, vous pouvez approuver la demande en cliquant sur le lien http://localhost:8007/ldap/test3/wcs/[form_number]/

  [if-any details]
  Pour référence, voici le détail du formulaire :

  [details]
  [end]
```

Pas de modif ?

Pistes d'identifications du bug:
- regeneration des fichiers de traduction .po ? non
- basculer GNOME en anglais pour forcer l'envoi du mail dans la locale adéquate ? non
- installation de wcs à l'aide du paquet Debian ? non
- modification en dur du template de l'email dans le code ? non
- prise en compte de modifs avec l'utilitaire wcsctl.py ? non
- rechargement de la config Apache ? non
- mauvaise conf SMTP ? voir exim4-light ? peu probable ... TODO
- template de l'email persistant, dans la base ? à voir, la commande wcsctl.py shell ne fonctionne pas pour l'instant TODO
- inspection pdb ? à voir TODO
- externalisation des templates d'email dans un repertoire extérieur au projet ? TODO
- exploration de la base, des migrations, pour comprendre la façon dont sont stockées les objets de template d'emails


Debugger : le template de l'email semble avoir été enrgistré:
```
(Pdb) EmailsDirectory.emails_dict
{'new_user': {'category': 'Workflow', 'default_body': 'Hello,\n\n[if-any user]\nThis mail is a reminder about the form you just submitted; you can consult it\nwith this link: [url]\n[else]\nThis mail is a reminder about the form you just submitted.\n[end]\n\n[if-any details]\nFor reference, here are the details:\n\n[details]\n[end]\n', 'description': 'Notification of creation to user', 'hint': None, 'enabled': False, 'default_subject': 'New form ([name])'}, 'change_user': {'category': 'Workflow', 'default_body': 'Hello,\n\n[if-any form_status_changed]\nStatus of the form you submitted just changed (from "[before]" to "[after]").\n[end]\n\n[if-any user]\nYou can consult it with this link:\n[url]\n[end]\n\n[if-any form_comment]New comment: [form_comment][end]\n\n[if-any evolution]\n[evolution]\n[end]\n', 'description': 'Notification of change to user', 'hint': 'Available variables: user, url, before, after, evolution', 'enabled': False, 'default_subject': 'Form status change'}, 'new_receiver': {'category': 'Workflow', 'default_body': 'Hello,\n\nA new form has been submitted, you can see it with this link:\n[form_url_backoffice]\n\nIf necessary, please validate the submission by visiting:\nhttp://localhost:8007/ldap/test3/wcs/[form_number]/\n\n[if-any details]\nFor reference, here are the details:\n\n[details]\n[end]\n', 'description': 'Notification of creation to receiver', 'hint': 'Available variables: name, url, details', 'enabled': False, 'default_subject': 'New form ([name])'}}
(Pdb)
```

Pas d'anomalie detectee au debugger Python pour l'instant

Stack trace:
```
(Pdb) w
  /home/paul/devel/wcs/wcsctl.py(8)<module>()
  -> ctl.run(sys.argv[1:])
    /home/paul/devel/wcs/wcs/qommon/ctl.py(159)run()
    -> return cmd.run(args, options)
      /home/paul/devel/wcs/wcs/qommon/ctl.py(69)run()
      -> return self.execute(base_options, sub_options, args)
        /home/paul/devel/wcs/wcs/ctl/start.py(69)execute()
        -> import publisher
          /home/paul/devel/wcs/wcs/publisher.py(39)<module>()
          -> from root import RootDirectory
            /home/paul/devel/wcs/wcs/root.py(37)<module>()
            -> import forms.root
              /home/paul/devel/wcs/wcs/forms/root.py(49)<module>()
              -> from wcs.formdef import FormDef
              > /home/paul/devel/wcs/wcs/formdef.py(1299)<module>()
              -> EmailsDirectory.register('change_receiver', N_('Notification of change to receiver'),
```

Pas d'anomalie non plus sur la pile; c'est bien les sources qui sont executees et non le paquet Debian annexe

Il faudrait maintenant inspecter la trace de la fonction chargee d'envoyer l'email, pour vérifier la façon dont le template est récupéré.
Comment mentionné précédemment, cette fonction est implementée dans le fichier wcs.git/wcs/common/emails.py

Pour l'instant, impossible de récuperer un shell dans ce fichier à l'aide de pdb.set_trace()

L'exécution de la commande
python setup.py install
ne résout pas non plus le problème.

Finalement, la modification du template est rendue possible par les icônes cliquables dans la section "Fabrique de workflow".
L'action à paramétrer ici est "Juste envoyé" -> "Envoyer un courriel à Destinataire"
Nous paramétrons l'email envoyé pour qu'il soit de la forme:
```
Bonjour,

Un nouveau formulaire a été complété, vous pouvez le consulter
en suivant ce lien :
  [form_url_backoffice]


Si necessaire, veuillez valider la demande en visitant le lien :
http://localhost:8007/ldap/test3/wcs/[form_number]/

[if-any details]
Pour référence, voici le détail du formulaire :

[details]
[end]
```
//TODO template pas très pro
L'idéal serait de définir une variable *validation_url*, pour ne pas avoir à exposer l'URL de l'API de Passerelle directement dans le template de l'email.
Nous pouvons maintenant nous pencher sur le scénario du cas d'utilisation décrit dans le diagramme de séquence.

L'agent doit pouvoir compléter les données relatives à l'utilisateur, ce qui signifique que le formulaire doit contenir des champs non remplissables par un utilisateur non authentifié.
TODO Est-il alors nécessaire de comprendre comment est effectuée la gestion des droits dans wcs ?


# Ecriture connecteur
Première étape :
lecture du code de Passerelle

Choix d'un connecteur  à dériver pour l'écriture du connecteur LDAP

# Mise au point technique
## Python
### Packing et unpacking
## Django
TODO Se documenter sur les templates (modèle MVT)
Expliquer philosophie DRY (*Don't Repeat Yourself*)
### Principes généraux
#### Vues

##### Class-Based Views (CBV)
Nouvelle façon d'écrire des vues
Repose sur la définition d'une classe contenant les attributs nécessaires à la construction de la vue et la définition de méthodes correspondant aux requêtes http vers la vue

Les *mixins* propose, par l'utilisation de l'héritage multiple, un mécanisme voué à éviter la duplication du code dans les CBV.

##### Decorators
La mise en place du POC a nécessité l'utilisation de décorateurs de vue. Ce mécanisme propre à Django permet de restreindre l'affichage d'une vue sous certaines conditions.
Des décorateurs sont proposés par défaut dans Django. Ils commencent par `@` et précédent la définition d'une vue dans les sources de l'application. Par exemple:
`@csrf_exempt`
`def index(request):`
`    <view logic>`
`    return wcs_submit(data)`

Le décorateur `@csrf_exempt` est de type permissif : il stipule que le client (par exemple un navigateur) n'a pas besoin de fournir un jeton CSRF (*csrf token*) pour pouvoir accéder  à la vue.

Au contraire, des décorateurs tels que `@login_required` ou `@require_http_methods` peuvent être de type restrictif.

Bien que Django fournisse des décorateurs par défaut, ce framework permet aux développeurs de définir les leurs. Un décorateur est une double définition de deux fonctions imbriquées - l'un des deux fonctions devant renvoyer en argument la seconde. Par exemple, nous pouvons définir un décorateur interdisant l'affichage de la vue si le dernier utilisateur connecté possède déjà un compte renseigné dans le LDAP:

`def user_not_in_ldap(function):`
`    def wrapped(request, *args, **kwargs):`
`        user_data = saml_collect_data()`
`        if ldap_is_in_directory(user_data):`
`            raise PermissionDenied`
`        else:`
`            return function(request, *args, **kwargs)`
`    return wrapped`


##### URIs
APPEND_SLASH ?
"Adding slash to: '/login'"

#### Modèles
Les modèles Django standardisent l'utilisation des objets dans l'application web.
Ils reprennent les mécanismes de POO proposés par Python, pour faciliter la mise en place de l'appli Web, et plus particulièrement les mécanismes ORM (*Object-Relational Mapping*).

La définition de modèles spécifiques à l'application se fait dans le fichier `models.py`. L'utilitaire Django `manage.py` permet la migration en base de données, c'est-à-dire la création des tables associées aux classes définies dans l'appli. Prenons l'exemple du modèle TODOTODOTODO

#### Templates
Langage procédural propre à django à l'intérieur des templates.
Il s'agit d'un langage à syntaxe restreintes, permettant d'effectuer des operations d'affichage et des opérations fonctionnelles et logiques simples avant génération de la page html.

Les templates Django sont un outil plus léger et plus simple d'utilisation que JSP, son équivalent J2E.

Prenons l'exemple d'un template utilisé pour l'application POC :
Fichier login.html :
`{% extends "manager_base.html" %}`
`{% load i18n %}`
`{% block content %}`
`<form method="post">`
`{% csrf_token %}`
`{{ form.as_p }}`
`<input type="submit" value="{% trans 'Log in' %}" />`
`</form>`
`{% endblock %}`

On remarque par exemple le *one-liner* `{{ form.as_p }}` permettant l'affichage d'un formulaire html à partir des différents attributs d'un objet Django de la classe `Form.forms`.
L'ajout du jeton CSRF en tant que balise cachée (*hidden tag*) du formulaire se fait par l'instruction `{% csrf_token %}`

Le template est ensuite traité par l'instruction `render` dans la vue associée, pour aboutir à la génération d'une page html présentée au client (traitement côté serveur, au même titre que les JSP).

Finalement, suivant le principe DRY propre à Django, les templates s'appeler les uns les autres à l'aide de la directive `extends`.
#### TemplateResponse
Dynamise la phase de création de la réponse HTTP après exécution de la vue associée. Fonctionnalité impossible à réaliser à l'aide de simples objets HttpResponse.

La manipulation des mixins se fait à l'aide de l'objet SingleObjectMixin et de SingleObjectTemplateResponseMixin.
TODO Si mixin associé à une ListView, alors MultipleObjectMixin.

### Remarques
L'interface Web d'administration et le compte *superuser* ne sont pas activés par défaut.
Page `/admin` pour la gestion des webapps.
Opérations CRUD : Create, Read, Update, Delete

La GUI est générée automatiquement en fonction des modèles de donnée de l'application, pourvu que ceux-ci aient été enregistrés au préalable (méthode `admin.site.register()`)

Champs `list_display`, `list_filter`, `date_hierarchy`, `ordering` et `search_fields` de la classe `admin.ModelAdmin`

Classe Q : requêtes avancées -> à lire
Appli ContentType pour les relations génériques

*template context processors*

*custom tags* utilisant la fonction *render*

django.db.models.signals

django.contrib.auth.models.User

### Coding style
* keywork `linebreaks`
* `cleaned_data` pour les formulaires
* surcharge de `__unicode__` et `__str__` pour la description textuelle des données et objets Django.

### Lecture du code source Authentic

### Sessions et pseudo-terminaux
#### tmux
Pb: bugs
#### screen
Possibilité de détacher les sessions
Plus puissant que tmux mais plus difficile d'utilisation

## Connecteurs
### ConnId
Javadoc at http://connid.tirasa.net/apidocs/1.4/index.html
TODIG ?

# Sources
https://shibboleth.net/
## Lues
https://services.renater.fr/federation/introduction/a-quoi-ca-sert
https://en.wikipedia.org/wiki/Security_Assertion_Markup_Language
https://www.ietf.org/rfc/rfc3384.txt
https://www.ietf.org/rfc/rfc3384.txt
https://tools.ietf.org/html/rfc2829
http://www.commentcamarche.net/contents/88-kerberos
https://www.ietf.org/rfc/rfc1510.txt
https://openclassrooms.com/courses/presentation-du-concept-d-annuaire-ldap
https://confluence.atlassian.com/kb/how-to-write-ldap-search-filters-792496933.html
https://virtualenv.pypa.io/en/stable/
https://syncope.apache.org/docs/getting-started.html
http://www.linux-france.org/~nquiniou/module_sr1/openldap/ch31s04.html
http://tutoriels.meddeb.net/openldap-tutorial-installation-and-basic-configuration/
https://www.centos.org/docs/5/html/CDS/ag/8.0/Managing_Access_Control-Creating_ACIs_Manually.html
http://rpouiller.developpez.com/tutoriels/java/tutoriel-sur-projet-ldap-apache-directory-serveur-plugin-eclipse-et-api-java/
http://help.eclipse.org/kepler/index.jsp?topic=%2Forg.eclipse.stardust.docs.dev%2Fhtml%2Fhandbooks%2Fprogramming%2Fpg-ldap.html
http://www.isode.com/whitepapers/ic-6033.html
http://www.networkworld.com/article/2287928/infrastructure-management/x-500-vs--ldap.html
https://tools.ietf.org/html/rfc1487
http://lasso.entrouvert.org/documentation/api-reference/index.html
http://www.downes.ca/post/12
https://devdoodles.wordpress.com/2009/02/16/user-authentication-with-django-registration/
http://www.alanflavell.org.uk/www/post-redirect.html
https://tools.ietf.org/html/rfc822
https://tools.ietf.org/rfc/rfc1123.txt
https://docs.djangoproject.com/fr/1.10/topics/class-based-views/
http://deusyss.developpez.com/tutoriels/Python/args_kwargs/
https://docs.djangoproject.com/fr/1.10/topics/http/urls/
https://www.w3.org/Provider/Style/URI
https://docs.djangoproject.com/fr/1.10/topics/http/sessions/
http://stackoverflow.com/questions/20957388/what-is-a-context-in-django
https://docs.djangoproject.com/fr/1.10/topics/i18n/
http://ldap3.readthedocs.io/tutorial.html
https://tools.ietf.org/search/rfc4515
https://docs.djangoproject.com/fr/1.10/ref/class-based-views/generic-editing/
https://jacobian.org/writing/dynamic-form-generation/
https://docs.djangoproject.com/fr/1.10/topics/forms/formsets/
https://docs.python.org/2/library/pdb.html
## A lire
http://support.novell.com/techcenter/articles/ana20011101.html
http://www.journaldunet.com/developpeur/xml/analyse/la-federation-d-identite-au-travers-de-saml.shtml
https://www.ietf.org/rfc/rfc4512.txt
https://docs.djangoproject.com/en/1.10/howto/custom-template-tags/#thread-safety-considerations
http://syncope.apache.org/docs/reference-guide.html
https://en.wikipedia.org/wiki/ALFA_%28XACML%29
https://en.wikipedia.org/wiki/List_of_LDAP_software

# Annexes
## Assertion SAML d'authentification (SAMLResponse IdP -> SP)
`<?xml version="1.0"?>`
`<samlp:Response xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" ID="_CD4CC621A02FDE6054649B69E6DBCC41" InResponseTo="_A79D6A8E4A93A92D65EE570ECA571BDB" Version="2.0" IssueInstant="2017-02-15T14:14:04Z" Destination="http://localhost:8008/accounts/mellon/login/" Consent="urn:oasis:names:tc:SAML:2.0:consent:prior">`
`  <saml:Issuer>http://localhost:8000/idp/saml2/metadata</saml:Issuer>`
`  <Signature xmlns="http://www.w3.org/2000/09/xmldsig#">\n<SignedInfo>\n<CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>\n<SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>\n<Reference URI="#_CD4CC621A02FDE6054649B69E6DBCC41">\n<Transforms>\n<Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>\n<Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>\n</Transforms>\n<DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>\n<DigestValue>ozqrnvN5HCJ8jxnPK8oT8U/+sHk=</DigestValue>\n</Reference>\n</SignedInfo>\n<SignatureValue>Ccne2rcykuXTgGW8QSNCANcliOvvl854uyiwPXGTGYbKfDNrFq87HNmDDizLslDY\nZVETw6TdVRi6vKlHebW0uWO9F4XRy7o4qEGiIEhLLGe1MIz+PWKqd1G1FcoQcEVG\nojZioS1BfWxcySZrU/OXftIsW929wYeXV+FsHauihGolAp5tnf+e0es5Gk2kuawy\nLBSEoWtriXRVMpEDfl1BHM61Y1uzkpmeA221e07WLDLr/KuAf4PS0px7l8YUEDz4\nA87GHekQ8ar2OiS+9unJ9DhZ+qFzLeddb6IdxHqUfWkdmAdajGffAyvfefEcm5wp\njE2b6cQPv0xh530CEFRXUw==</SignatureValue>\n<KeyInfo>\n<X509Data>\n<X509Certificate>MIIDIzCCAgugAwIBAgIJANUBoick1pDpMA0GCSqGSIb3DQEBBQUAMBUxEzARBgNV\nBAoTCkVudHJvdXZlcnQwHhcNMTAxMjE0MTUzMzAyWhcNMTEwMTEzMTUzMzAyWjAV\nMRMwEQYDVQQKEwpFbnRyb3V2ZXJ0MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAvxFkfPdndlGgQPDZgFGXbrNAc/79PULZBuNdWFHDD9P5hNhZn9Kqm4Cp\n06Pe/A6u+g5wLnYvbZQcFCgfQAEzziJtb3J55OOlB7iMEI/T2AX2WzrUH8QT8NGh\nABONKU2Gg4XiyeXNhH5R7zdHlUwcWq3ZwNbtbY0TVc+n665EbrfV/59xihSqsoFr\nkmBLH0CoepUXtAzA7WDYn8AzusIuMx3n8844pJwgxhTB7Gjuboptlz9Hri8JRdXi\nVT9OS9Wt69ubcNoM6zuKASmtm48UuGnhj8v6XwvbjKZrL9kA+xf8ziazZfvvw/VG\nTm+IVFYB7d1x457jY5zjjXJvNysoowIDAQABo3YwdDAdBgNVHQ4EFgQUeF8ePnu0\nfcAK50iBQDgAhHkOu8kwRQYDVR0jBD4wPIAUeF8ePnu0fcAK50iBQDgAhHkOu8mh\nGaQXMBUxEzARBgNVBAoTCkVudHJvdXZlcnSCCQDVAaInJNaQ6TAMBgNVHRMEBTAD\nAQH/MA0GCSqGSIb3DQEBBQUAA4IBAQAy8l3GhUtpPHx0FxzbRHVaaUSgMwYKGPhE\nIdGhqekKUJIx8et4xpEMFBl5XQjBNq/mp5vO3SPb2h2PVSks7xWnG3cvEkqJSOeo\nfEEhkqnM45b2MH1S5uxp4i8UilPG6kmQiXU2rEUBdRk9xnRWos7epVivTSIv1Ncp\nlG6l41SXp6YgIb2ToT+rOKdIGIQuGDlzeR88fDxWEU0vEujZv/v1PE1YOV0xKjTT\nJumlBc6IViKhJeo1wiBBrVRIIkKKevHKQzteK8pWm9CYWculxT26TZ4VWzGbo06j\no2zbumirrLLqnt1gmBDvDvlOwC/zAAyL4chbz66eQHTiIYZZvYgy</X509Certificate>\n</X509Data>\n</KeyInfo>\n</Signature>`
`  <samlp:Status>`
`    <samlp:StatusCode Value="urn:oasis:names:tc:SAML:2.0:status:Success"/>`
`  </samlp:Status>`
`  <saml:Assertion Version="2.0" ID="_A86605DF1F9D51A8BD5EFB5F9B02A712" IssueInstant="2017-02-15T14:14:10Z">`
`    <saml:Issuer>http://localhost:8000/idp/saml2/metadata</saml:Issuer>`
`    <Signature xmlns="http://www.w3.org/2000/09/xmldsig#">\n<SignedInfo>\n<CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>\n<SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>\n<Reference URI="#_A86605DF1F9D51A8BD5EFB5F9B02A712">\n<Transforms>\n<Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>\n<Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>\n</Transforms>\n<DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>\n<DigestValue>F9UyV7kkrdL45HhZmIG+qR8hqE8=</DigestValue>\n</Reference>\n</SignedInfo>\n<SignatureValue>cmFamTX6vzK0evsehNv8U7Mjz1JXdz60ZGpzEuner+xEdB8I4rISzWZBLmLQYMiU\n8IlCZYvOeaeHIwf/xStowUZy+dfjzYKMmN5OD9z9ifD5Kr6rNNS9a0Tsmu55HUvv\nD83CkGS2c8HsdpWTR3Og7ED2lVT6rsXTx+VgTJ1mzl0ONVKPSnTp8x09VgHbMFXh\nLq5Pg+5im+G0jJIcpVN3VesVzLdfP6w3CjJz5f+aMllfvRdYYSad0vyXlLUx59Al\nAsIeqFTFq3uKsVHH4yd/JZoFwrhFE4Q6Ve9UeTRw9qR+y6M+fd/cJTcvFzHjKo2A\nTEt9QYM4RpfPPy4conjGqg==</SignatureValue>\n<KeyInfo>\n<X509Data>\n<X509Certificate>MIIDIzCCAgugAwIBAgIJANUBoick1pDpMA0GCSqGSIb3DQEBBQUAMBUxEzARBgNV\nBAoTCkVudHJvdXZlcnQwHhcNMTAxMjE0MTUzMzAyWhcNMTEwMTEzMTUzMzAyWjAV\nMRMwEQYDVQQKEwpFbnRyb3V2ZXJ0MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAvxFkfPdndlGgQPDZgFGXbrNAc/79PULZBuNdWFHDD9P5hNhZn9Kqm4Cp\n06Pe/A6u+g5wLnYvbZQcFCgfQAEzziJtb3J55OOlB7iMEI/T2AX2WzrUH8QT8NGh\nABONKU2Gg4XiyeXNhH5R7zdHlUwcWq3ZwNbtbY0TVc+n665EbrfV/59xihSqsoFr\nkmBLH0CoepUXtAzA7WDYn8AzusIuMx3n8844pJwgxhTB7Gjuboptlz9Hri8JRdXi\nVT9OS9Wt69ubcNoM6zuKASmtm48UuGnhj8v6XwvbjKZrL9kA+xf8ziazZfvvw/VG\nTm+IVFYB7d1x457jY5zjjXJvNysoowIDAQABo3YwdDAdBgNVHQ4EFgQUeF8ePnu0\nfcAK50iBQDgAhHkOu8kwRQYDVR0jBD4wPIAUeF8ePnu0fcAK50iBQDgAhHkOu8mh\nGaQXMBUxEzARBgNVBAoTCkVudHJvdXZlcnSCCQDVAaInJNaQ6TAMBgNVHRMEBTAD\nAQH/MA0GCSqGSIb3DQEBBQUAA4IBAQAy8l3GhUtpPHx0FxzbRHVaaUSgMwYKGPhE\nIdGhqekKUJIx8et4xpEMFBl5XQjBNq/mp5vO3SPb2h2PVSks7xWnG3cvEkqJSOeo\nfEEhkqnM45b2MH1S5uxp4i8UilPG6kmQiXU2rEUBdRk9xnRWos7epVivTSIv1Ncp\nlG6l41SXp6YgIb2ToT+rOKdIGIQuGDlzeR88fDxWEU0vEujZv/v1PE1YOV0xKjTT\nJumlBc6IViKhJeo1wiBBrVRIIkKKevHKQzteK8pWm9CYWculxT26TZ4VWzGbo06j\no2zbumirrLLqnt1gmBDvDvlOwC/zAAyL4chbz66eQHTiIYZZvYgy</X509Certificate>\n</X509Data>\n</KeyInfo>\n</Signature>`
`    <saml:Subject>`
`      <saml:NameID NameQualifier="http://localhost:8000/idp/saml2/metadata">_1E83322C6A38FF13CF515D299647E04E</saml:NameID>`
`      <saml:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer">`
`        <saml:SubjectConfirmationData NotOnOrAfter="2017-02-15T14:15:10.325204Z" Recipient="http://localhost:8008/accounts/mellon/login/" InResponseTo="_A79D6A8E4A93A92D65EE570ECA571BDB"/>`
`      </saml:SubjectConfirmation>`
`    </saml:Subject>`
`    <saml:Conditions NotBefore="2017-02-15T14:13:10.325204Z" NotOnOrAfter="2017-02-15T14:15:10.325204Z">`
`      <saml:AudienceRestriction>`
`        <saml:Audience>http://localhost:8008/accounts/mellon/metadata/</saml:Audience>`
`      </saml:AudienceRestriction>`
`    </saml:Conditions>`
`    <saml:AuthnStatement AuthnInstant="2017-02-15T14:14:10.325204Z" SessionIndex="_A86605DF1F9D51A8BD5EFB5F9B02A712" SessionNotOnOrAfter="2017-03-01T14:14:10Z">`
`      <saml:AuthnContext>`
`        <saml:AuthnContextClassRef>urn:oasis:names:tc:SAML:2.0:ac:classes:Password</saml:AuthnContextClassRef>`
`      </saml:AuthnContext>`
`    </saml:AuthnStatement>`
`    <saml:AttributeStatement>`
`      <saml:Attribute Name="id_test" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:basic" FriendlyName="Test ID">`
`        <saml:AttributeValue>2</saml:AttributeValue>`
`      </saml:Attribute>`
`      <saml:Attribute Name="lname_test" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:basic" FriendlyName="Test Last Name">`
`        <saml:AttributeValue>Marillonnet</saml:AttributeValue>`
`      </saml:Attribute>`
`      <saml:Attribute Name="fname_test" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:basic" FriendlyName="Test First Name">`
`        <saml:AttributeValue>Paul</saml:AttributeValue>`
`      </saml:Attribute>`
`    </saml:AttributeStatement>`
`  </saml:Assertion>`
`</samlp:Response>`

## Diagramme de séquence conceptuel du POC
TODO
## Diagramme de séquence technique du POC
TODO
## Architecture fonctionnelle du POC
TODO
## Architecture logicielle du POC
TODO
